Groups
The groups resource.
Basehttps://rest.carbon.ms/groups
GET
/groupsList groupss
Retrieve a paginated list of groupss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/groups
curl --request GET \
--url 'https://rest.carbon.ms/groups?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"name": "Example",
"id": "abc123def456",
"isEmployeeTypeGroup": true,
"isCustomerOrgGroup": true,
"isCustomerTypeGroup": true,
"isSupplierOrgGroup": true,
"isSupplierTypeGroup": true,
"companyId": "xyz789"
}
]GET
/groupsRetrieve a groups
Fetch a single groups by filtering on `id`.
Query parameters
idstringMatch on the groups's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/groups
curl --request GET \
--url 'https://rest.carbon.ms/groups?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"name": "Example",
"id": "abc123def456",
"isEmployeeTypeGroup": true,
"isCustomerOrgGroup": true,
"isCustomerTypeGroup": true,
"isSupplierOrgGroup": true,
"isSupplierTypeGroup": true,
"companyId": "xyz789"
}